Tetrarch Kaitar:
Gran Kain -- Sovereign of Destruction, Father of Darkness! If the sunlight that pierces our eyes was made by Einhasad, then the darkness that swallows the light was made by the Dark Lord, Gran Kain. Other races call Gran Kain a devil, fear him and exclude his followers.
However, as the late afternoon shadow slowly overtakes the land, the power of Gran Kain will surpass all other gods -- and when the light is put out, flames extinguished, and the wind dies, the ground will part and all rivers and oceans will become dry. Then, only darkness will remain...
Return